Ubuntu

Lucid: garbled video at boot on radeon cards: bad color map due to 16-bit fb

Reported by Martin Reiche on 2010-04-16
212
This bug affects 37 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
High
Unassigned
Lucid
High
Unassigned
Natty
High
Unassigned

Bug Description

Binary package hint: plymouth

With yesterdays (15.04.2010) updates the file /etc/modprobe.d/radeon-kms.conf was removed.
Sideeffect of this removal was:
- before this update I had no plymouth at all but some "ASCII-art" which looked like what should look like a plymouth boot screen. As far as I know this was intended for video-adapters with <32MB video-ram.
- after yesterdays removal of radeon-kms.conf it looks like I have working plymouth boot screen but at start up it looked somewhat garbled (see attached photo). However... after some time of booting the screen "normalizes" and looks like how plymouth should look. Some time means some seconds before I can see gdm.

My Notebook is an IBM X31 with a radeon 7000/ M6 LY graphics adapter with 16MB of video-ram.
The X31 runs Lucid Beta 2 with all updates.
---
Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100406)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: IBM 2672CXG
Package: plymouth 0.8.2-1
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-21-generic root=/dev/mapper/crypt-root ro quiet splash hpet=force
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcVersionSignature: Ubuntu 2.6.32-21.31-generic 2.6.32.11+drm33.2
Tags: lucid
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 09/22/2005
dmi.bios.vendor: IBM
dmi.bios.version: 1QET97WW (3.02 )
dmi.board.name: 2672CXG
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1QET97WW(3.02):bd09/22/2005:svnIBM:pn2672CXG:pvrThinkPadX31:rvnIBM:rn2672CXG:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 2672CXG
dmi.product.version: ThinkPad X31
dmi.sys.vendor: IBM

Martin Reiche (grimsrud) wrote :
Steve Langasek (vorlon) wrote :

Please run 'apport-collect 564471'. (In general, it is preferred that you file bugs using 'ubuntu-bug' instead of filing them directly through the web interface.)

What version of the plymouth-theme-ubuntu-logo package do you have installed?

Changed in plymouth (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

My version of plymouth-theme-ubuntu-logo is
Version: 0.8.2-1

Steve Langasek (vorlon) wrote :

Thanks. Please boot with 'plymouth:debug=file:/var/log/plymouth-debug.log' added to your boot options, then attach the resulting /var/log/plymouth-debug.log.

Martin Reiche (grimsrud) wrote :

The log

Steve Langasek (vorlon) wrote :

Thanks.

[./plugin.c] create_backend:creating renderer backend for device /dev/dri/card0
[./plugin.c] load_driver:Attempting to load driver 'radeon'

This shows that the drm renderer is being successfully used; if it's being rendered incorrectly, that's a kernel bug. Reassigning to linux.

affects: plymouth (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → New
summary: - Lucid: Plymouth looking garbled after removal of radeon-kms.conf on IBM
- X31 (radeon 7000)
+ Lucid: garbled video at boot on IBM X31 (radeon 7000)

I see this too on an IBM T42 with radeon 7500 32MB (01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]).

This machine needs KMS to not reintroduce bug #513950 and about 5 other related bugs when KMS is not enabled.
$ cat /proc/fb
0 radeondrmfb

Plymouth used to decide that this radeon needed to use the text theme, but lately is using the logo theme instead.

summary: - Lucid: garbled video at boot on IBM X31 (radeon 7000)
+ Lucid: garbled video at boot on radeon 7xxx cards

Following debugging on IRC it seems that the issue is not kernel version dependant. Plymouth is no using the drm renderer by default. It appears to not be correctly taking account of bits-per-pixed for older framebuffers. Moving to plymouth.

affects: linux (Ubuntu) → plymouth (Ubuntu)
Steve Langasek (vorlon) wrote :

yes, triggered by plymouth's unconditional use of the drm renderer for radeon when available - instead of falling back to the fb renderer on systems with a single display output, as we did prior to 0.8.2.

Changed in plymouth (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: iso-testing
Steve Langasek (vorlon) on 2010-04-26
Changed in plymouth (Ubuntu Lucid):
milestone: none → lucid-updates
Steve Langasek (vorlon) on 2010-04-27
summary: - Lucid: garbled video at boot on radeon 7xxx cards
+ Lucid: garbled video at boot on radeon 7xxx cards: bad color map due to
+ 16-bit fb

Hi all,
I've got the same problem.
bp1@bp1-laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation 82830 830 Chipset Host Bridge (rev 04)
00:01.0 PCI bridge: Intel Corporation 82830 830 Chipset AGP Bridge (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB Controller #3 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
02:03.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
02:03.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
02:05.0 Unclassified device [0013]: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)
02:08.0 Ethernet controller: Intel Corporation 82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller (rev 42)
bp1@bp1-laptop:~$

Shaved Wookie (shavedwookie) wrote :

Getting this on an ATI Radeon Xpress 200M (using radeon drivers) Kubuntu Lucid 32bit Final

Shaved Wookie (shavedwookie) wrote :

...and here's the log I get from running the Kubuntu Lucid 32 bit final livecd.

suoko (suoko) wrote :

problem here after karmic to lucid upgrade

Hans Meine (hans-meine) wrote :

Same here with a IBM Thinkpad R51

lspci says:
ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

Thanks to the attached photo, you can be sure I have exactly the same problem.

Jacopo Lorenzetti (jacopol) wrote :

I'm getting a similar problem on ATI Technologies Inc RV280 [Radeon 9200 SE] (rev 01), but the garbage on the screen is quite different (see attached photo).

Should I open a new bug or report it here?

Confirmed on my Thinkpad T40 Radeon 7500 32mb card (2373 22G)

The colours get even worse on shutdown.

Glenn Moloney (g-moloney) wrote :

Confirmed on Toshiba Tecra S1 ATI Mobility Radeon 9000 32mb & Toshiba Satellite 1110 ATI Mobility Radeon 16mb.

Glen Ditchfield (gjditchfield) wrote :

This problem also affects the Maverick daily build of June 28, maverick-desktop-i386.iso (md5sum b593894eae2efe2cd156e07e78927105)

robinl (robin4home) wrote :

Confirmed on Radeon 4850 512MB card on Lucid, with a very screwed up shutdown screen too

Martin Reiche (grimsrud) wrote :

The problem still persists for me on 10.10 alpha3.

Uwe Geuder (ubuntulp-ugeuder) wrote :

Actually it has worked quite well for several weeks now during startup. Only the additional text during routine disk checks is somewhat hazy and flickering. Not sure when it started to work. I thought I had watched all updates applied, but I must have missed it somehow.

During shutdown the problem still exists. Colours are messed up completely in 99% of the cases and the graphics is not sharp. (I believe I have.seen it working correctly very few times, though)

Thinkpad T40 with ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] rev 2
Kunbuntu Lucid with all updates

Martin Reiche (grimsrud) wrote :

The problem still persists for me on 10.10 beta

Jean Traullé (jtraulle) wrote :

For me, the problem also persists on my Thinkpad X32 (ATI mobility radeon 16mo) with Ubuntu 10.10 Beta with all updates.
Like this picture http://launchpadlibrarian.net/44401636/DSC00390.JPG

Thomas Uhl (tuhlbox) wrote :

On my Elitebook 6930p (Lucid Lynx, ATI Radeon, proprietary drivers), I was able to get rid of the problem using the instructions found here:

http://idyllictux.wordpress.com/2010/04/26/lucidubuntu-10-04-high-resolution-plymouth-virtual-terminal-for-atinvidia-cards-with-proprietaryrestricted-driver/

In short, I had to install the uvesafb driver and do some modifications to the grub configuration and the initrd image.

The relevant portions of my /etc/default/grub now look like this:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset video=uvesafb:mode_option=1152x864-24,mtrr=3,scroll=ywrap"
GRUB_CMDLINE_LINUX=" vga=0x0356"
GRUB_LINUX16=true
GRUB_GFXMODE=1152x864

Jean Traullé (jtraulle) wrote :

@Thomas Uhl : Your model of radeon card is not a 7*** series

Kamil Kaczmarczyk (kamkacz) wrote :

@Jean Traullé : which only shows the bug is more common than the original reporter thought and stated in the topic. There have been broader bug reports but they were all marked as duplicates of this one. Which means there's no better place for me or Thomas Uhl to seek help (I have this problem on Radeon 3470).

summary: - Lucid: garbled video at boot on radeon 7xxx cards: bad color map due to
+ Lucid: garbled video at boot on radeon cards: bad color map due to
16-bit fb
Martin Reiche (grimsrud) wrote :

The problem still exists in 10.10 RC

Kamil Kaczmarczyk (kamkacz) wrote :

As for me maverick fixed the problem.
(Or maybe not maverick but something during the upgrade process itself?)

Kamil Kaczmarczyk (kamkacz) wrote :

Unconfirmed but not-completely-impossible hypothesis: I think it may be something not in plymouth but in grub instead. Grub updated scripts in /etc/grub.d/. I had to re-enable gfx mode. Once I did it plymouth worked well.

Glen Ditchfield (gjditchfield) wrote :

I still see this problem when booting a Dell D600 (ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] rev 2) from a USB key made from kubuntu-10.10-desktop-i386.iso.

dorpm (dorpmueller) wrote :

Same problem here on a Thinkpad R51 with Mobilty Radeon 7500.

Florian

asaw (as-asaw) wrote :

This workarountd works for me: http://kyleabaker.com/2010/07/11/how-to-fix-your-ubuntu-boot-screen/ It uses uvesafb framebuffer, hence it is somewhat slower and you have to specify proper resolution. But at least with this approach plymouth correctly displays graphical greeting on my Thinkpad R51 with Mobility Radion 9000.

Glen Ditchfield (gjditchfield) wrote :

I still see this problem when booting the above-mentioned D600 from a USB key made from the Natty pre-beta image natty-desktop-i3786.iso (20110328.1, md5sum bdb15138df18cfd5048233a651c85199)

Glen Ditchfield (gjditchfield) wrote :

Still present with Kubuntu Natty pre-release image http://cdimage.ubuntu.com/kubuntu/daily-live/20110422/natty-desktop-i386.iso

Changed in plymouth (Ubuntu Natty):
milestone: lucid-updates → none
Glen Ditchfield (gjditchfield) wrote :

Still present when booting the above-mentioned D600 from with Kubuntu Oneiric alpha http://cdimage.ubuntu.com/kubuntu/daily-live/20110705/oneiric-desktop-i386.iso

Glen Ditchfield (gjditchfield) wrote :

Still present when booting the above-mentioned D600 from Lucid candidate http://cdimage.ubuntu.com/kubuntu/lucid/daily-live/20110720.1/lucid-desktop-i386.iso

Glen Ditchfield (gjditchfield) wrote :

Still present when booting the above-mentioned D600 from Oneiric Beta 2 http://cdimage.ubuntu.com/kubuntu/daily-live/20110920/oneiric-desktop-i386.iso (20110920, md5sum 548471d53a1247057ff92162fb406f8d)

Ronald van Engelen (ronalde) wrote :

Same problem in Ubuntu Lucid 10.04.4 (LTS!) on HP t5735 with ATI Technologies Inc RS690M [Radeon X1200 Series].

We had to create our own (rather ugly) workaround by setting the `bits_per_pixel` fixed at `4` instead of using `Window.GetBitsPerPixel (); ` in `opt/ltsp/i386/lib/plymouth/themes/ubuntu-logo/ubuntu-logo.script`.

It's a shame this one didn't got fixed as it affects all users with mentioned (embedded) graphics cards, eg. multiples of thousands, instead of the 36 actually following this bug.

dino99 (9d9) wrote :
Changed in plymouth (Ubuntu Natty):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers